	function createHttpRequest()
	{
		if(window.ActiveXObject)
		{
			try 
			{
				return new ActiveXObject("Msxml2.XMLHTTP");
			} 
			catch (e) 
			{
				try 
				{
					return new ActiveXObject("Microsoft.XMLHTTP");
				} 
				catch (e2) 
				{
					return null;
				}
			 }
		} 
		else if(window.XMLHttpRequest)
		{
			return new XMLHttpRequest();
		} 
		else 
		{
			return null;
		}
	}

	function aload(uri,data,func){
		var xmlhttp = createHttpRequest();
		if(xmlhttp==null) return;
		xmlhttp.open("POST",uri,true);
		xmlhttp.onreadystatechange = function(){ 
			if (xmlhttp.readyState==4){ 
				if( func != null )
					func(xmlhttp);
			}
		}
		if(data){
			xmlhttp.setRequestHeader('Content-Type','application/x-www-form-urlencoded; charset=utf-8');
			xmlhttp.send(data);
		}else{
			xmlhttp.send(data);
		}
	}

	function load(uri,data){
		var xmlhttp = createHttpRequest();
		if(xmlhttp==null) return;
		xmlhttp.open("POST",uri,false);
		if(data){
			xmlhttp.setRequestHeader('Content-Type','application/x-www-form-urlencoded; charset=utf-8');
			xmlhttp.send(data);
		}else{
			xmlhttp.send(data);
		}
		return xmlhttp;
	}

	function loadText(uri,data,xsl){
		var xmlhttp = createHttpRequest();
		if(xmlhttp==null) return;
		xmlhttp.open("POST",uri,false);
		if(data){
			xmlhttp.setRequestHeader('Content-Type','application/x-www-form-urlencoded; charset=utf-8');
			xmlhttp.send(data);
		}else{
			xmlhttp.send(data);
		}
		if( xsl == null )
			return xmlhttp.responseText;
		var xml,xslt,xslProc;
		if( navigator.userAgent.indexOf("MSIE") == -1) {
			xml = new DOMParser().parseFromString(xmlhttp.responseText,"application/xml");
			xslt = document.implementation.createDocument("","",null);
			xslt.async = false;
			xslt.load(xsl);
			xslProc = new XSLTProcessor();
			xslProc.importStylesheet(xslt);
			var fragment = xslProc.transformToFragment(xml,document);
			return new XMLSerializer().serializeToString(fragment);
		}else{
			xml= new ActiveXObject("Msxml2.DOMDocument");
			xslt = new ActiveXObject("Msxml2.FreeThreadedDOMDocument");
			xslt.async = false;
			xslt.load(xsl);
			xml.async = false;
			xml.loadXML(xmlhttp.responseXml);
			var xslTemp = new ActiveXObject("Msxml2.XSLTemplate");
			xslTemp.stylesheet = xslt;
			xslProc = xslTemp.createProcessor();
			xslProc.input = xml;
			try{
				xslProc.transform;
				return xslProc.output;
			}catch(e){
				return e.description;
			}
		}
	}

	function aloadText(uri,data,xsl,func,method){
		var xmlhttp = createHttpRequest();
		if(xmlhttp==null) return;
		if( method == null ){
			xmlhttp.open("GET",uri,true);
			xmlhttp.setRequestHeader("If-Modified-Since", "Thu, 01 Jun 1970 00:00:00 GMT");
		}else
			xmlhttp.open(method,uri,true);
		xmlhttp.onreadystatechange = function(){
			if( xmlhttp.readyState==4){
				if(xsl==null){
					var retval = xmlhttp.responseText;
					func( retval );
					return;
				}
				var xml,xslt,xslProc;
				var retval;
				if( navigator.userAgent.indexOf("MSIE") == -1) {
					xml = new DOMParser().parseFromString(xmlhttp.responseText,"application/xml");
					xslt = document.implementation.createDocument("","",null);
					xslt.async = false;
					xslt.load(xsl);
					xslProc = new XSLTProcessor();
					xslProc.importStylesheet(xslt);
					retval = xslProc.transformToFragment(xml,document);
					var serializer = new XMLSerializer();
					retval = serializer.serializeToString(retval);
				}else{
					xml= new ActiveXObject("Msxml2.DOMDocument");
					xslt = new ActiveXObject("Msxml2.FreeThreadedDOMDocument");
					xslt.async = false;
					xslt.load(xsl);
					xml.async = false;
					xml.loadXML(xmlhttp.responseText);
					var xslTemp = new ActiveXObject("Msxml2.XSLTemplate");
					xslTemp.stylesheet = xslt;
					xslProc = xslTemp.createProcessor();
					xslProc.input = xml;
					try{
						xslProc.transform;
						retval = xslProc.output;
					}catch(e){
						alert( e.description );
					}
				}
				func( retval );
			}
		}
		if(data){
			xmlhttp.setRequestHeader('Content-Type','application/x-www-form-urlencoded; charset=utf-8');
			xmlhttp.send(data);
		}else{
			xmlhttp.send(data);
		}
	}


	function loadDOM(uri,data,xsl){
		var xmlhttp = createHttpRequest();
		if(xmlhttp==null) return;
		xmlhttp.open("POST",uri,false);
		if(data){
			xmlhttp.setRequestHeader('Content-Type','application/x-www-form-urlencoded; charset=utf-8');
			xmlhttp.send(data);
		}else{
			xmlhttp.send(data);
		}
		if( xsl == null ){
			var retval;
			if( navigator.userAgent.indexOf("MSIE") == -1) {
				retval = new DOMParser().parseFromString(xmlhttp.responseText,"application/xml");
			}else{
				retval = new ActiveXObject("Msxml2.DOMDocument");
				retval.async = false;
				retval.loadXML(xmlhttp.responseText);
			}
			return retval;
		}
		var xml,xslt,xslProc;
		var retval;
		if( navigator.userAgent.indexOf("MSIE") == -1) {
			xml = new DOMParser().parseFromString(xmlhttp.responseText,"application/xml");
			xslt = document.implementation.createDocument("","",null);
			xslt.async = false;
			xslt.load(xsl);
			xslProc = new XSLTProcessor();
			xslProc.importStylesheet(xslt);
			retval = xslProc.transformToFragment(xml,document);
		}else{
			xml= new ActiveXObject("Msxml2.DOMDocument");
			xslt = new ActiveXObject("Msxml2.FreeThreadedDOMDocument");
			xslt.async = false;
			xslt.load(xsl);
			xml.async = false;
			xml.loadXML(xmlhttp.responseText);
			var xslTemp = new ActiveXObject("Msxml2.XSLTemplate");
			xslTemp.stylesheet = xslt;
			xslProc = xslTemp.createProcessor();
			xslProc.input = xml;
			var resultvalue;
			try{
				xslProc.transform;
				resultvalue = xslProc.output;
			}catch(e){
				alert( e.description );
			}
			retval = new ActiveXObject("Msxml2.DOMDocument");
			retval.async = false;
			retval.loadXML(resultvalue);
		}
		return retval;
	}

	function aloadDOM(uri,data,xsl,func){
		var xmlhttp = createHttpRequest();
		if(xmlhttp==null) return;
		xmlhttp.open("POST",uri,true);
		xmlhttp.onreadystatechange = function(){ 
			if (xmlhttp.readyState==4){ 
				if( xsl == null ){
					var retval;
					if( navigator.userAgent.indexOf("MSIE") == -1) {
						retval = new DOMParser().parseFromString(xmlhttp.responseText,"application/xml");
					}else{
						retval = new ActiveXObject("Msxml2.DOMDocument");
						retval.async = false;
						retval.loadXML(xmlhttp.responseText);
					}
					func( retval );
					return;
				}
				var xml,xslt,xslProc;
				var retval;
				if( navigator.userAgent.indexOf("MSIE") == -1) {
					xml = new DOMParser().parseFromString(xmlhttp.responseText,"application/xml");
					xslt = document.implementation.createDocument("","",null);
					xslt.async = false;
					xslt.load(xsl);
					xslProc = new XSLTProcessor();
					xslProc.importStylesheet(xslt);
					retval = xslProc.transformToFragment(xml,document);
				}else{
					xml= new ActiveXObject("Msxml2.DOMDocument");
					xslt = new ActiveXObject("Msxml2.FreeThreadedDOMDocument");
					xslt.async = false;
					xslt.load(xsl);
					xml.async = false;
					xml.loadXML(xmlhttp.responseXml);
					var resultvalue;
					var xslTemp = new ActiveXObject("Msxml2.XSLTemplate");
					xslTemp.stylesheet = xslt;
					xslProc = xslTemp.createProcessor();
					xslProc.input = xml;
					try{
						xslProc.transform;
						resultvalue = xslProc.output;
					}catch(e){
						alert( e.description );
					}
					retval = new ActiveXObject("Msxml2.DOMDocument");
					retval.async = false;
					retval.loadXML(resultvalue);
				}
				func( retval );
			}
		}
		if(data){
			xmlhttp.setRequestHeader('Content-Type','application/x-www-form-urlencoded; charset=utf-8');
			xmlhttp.send(data);
		}else{
			xmlhttp.send(data);
		}
	}

	function _transform(xmltext,xsl){
		var xml,xslt,xslProc;
		if( navigator.userAgent.indexOf("MSIE") == -1) {
			xml= new DOMParser().parseFromString(xmltext,"application/xml");
			xslt = document.implementation.createDocument("","",null);
			xslt.async = false;
			xslt.load(xsl);
			xslProc = new XSLTProcessor();
			xslProc.importStylesheet(xslt);
			var fragment = xslProc.transformToFragment(xml,document);
			return new XMLSerializer().serializeToString(fragment);
		}else{
			xml= new ActiveXObject("Msxml2.DOMDocument");
			xslt = new ActiveXObject("Msxml2.FreeThreadedDOMDocument");
			xml.async = false;
			xml.loadXML(xmltext);
			xslt.async = false;
			xslt.load(xsl);
			var xslTemp = new ActiveXObject("Msxml2.XSLTemplate");
			xslTemp.stylesheet = xslt;
			xslProc = xslTemp.createProcessor();
			xslProc.input = xml;
			try{
				xslProc.transform;
				return xslProc.output;
			}catch(e){
				return e.description;
			}
		}
	}
