<?xml version="1.0" encoding="Shift_JIS" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html"/>
	<xsl:variable name="userlist" select="document('UserInfoList.xml')/USERINFOLIST"/>
	<xsl:variable name="customerlist" select="document('CustomerList.xml')/CUSTOMERLIST"/>

	<xsl:template match="/">
		<HTML>
			<HEAD>
				<title><xsl:value-of select="books/title" /></title>
				<SCRIPT language="JavaScript">
				<xsl:comment>
					function parseDate(ldate){
						var date = new Date(ldate);
						return date.getYear()+"N"+(date.getMonth()+1)+""+date.getDate()+" "+date.getHours()+""+date.getMinutes()+"";
					};
				</xsl:comment>
				</SCRIPT>
			</HEAD>
			<BODY>
				<IMG src="images/builcode_banner.png"/>
				<P><B>kꗗ</B></P>
				<HR/>
				<xsl:for-each select="document('TaskList.xml')/TASKLIST/TASK">
					<B><xsl:value-of select="NAME"/></B>&#x3000;ڋqu<xsl:call-template name="customer"/>v&#x3000;ԁu<xsl:call-template name="status"/>v<BR/>
					<TABLE border="0" cellspacing="0" cellpadding="0">
						<TR bgcolor="#D7D7FF">
							<TD style="border-left:solid 1px black;border-top:solid 1px black"></TD>
							<TD style="border-left:dashed 1px black;border-top:solid 1px black">Ή</TD>
							<TD style="border-left:dashed 1px black;border-top:solid 1px black">Ήl</TD>
							<TD style="border-left:dashed 1px black;border-top:solid 1px black;border-right:solid 1px black">Ή</TD>
						</TR>
						<TR bgcolor="#D7D7FF">
							<TD style="border-left:solid 1px black;border-top:dashed 1px black;border-right:solid 1px black;border-bottom:solid 1px black" colspan="4">Ήe</TD>
						</TR>
					<xsl:variable name="activitys" select="descendant::ACTIVITY[not(@removed)]"/>
					<xsl:for-each select="$activitys/ACTIVITY">
						<xsl:element name="TR">
							<xsl:if test="position() mod 2 = 0">
								<xsl:attribute name="bgcolor">#EEEEFF</xsl:attribute>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="@updated">
									<TD><FONT size='-2'><SCRIPT language="JavaScript">document.write(parseDate(<xsl:value-of select="@updated"/>))</SCRIPT></FONT></TD>
								</xsl:when>
								<xsl:when test="@created">
									<TD><FONT size='-2'><SCRIPT language="JavaScript">document.write(parseDate(<xsl:value-of select="@created"/>))</SCRIPT></FONT></TD>
								</xsl:when>
								<xsl:otherwise>
									<TD>&#x3000;</TD>
								</xsl:otherwise>
							</xsl:choose>
							<TD><xsl:value-of select="NAME"/></TD>
							<TD><xsl:call-template name="user"/></TD>
							<TD align="CENTER"><xsl:call-template name="type"/><xsl:call-template name="class"/></TD>
						</xsl:element>
						<xsl:element name="TR">
							<xsl:if test="position() mod 2 = 0">
								<xsl:attribute name="bgcolor">#EEEEFF</xsl:attribute>
							</xsl:if>
							<TD colspan="4"><xsl:value-of select="MEMO"/></TD>
						</xsl:element>
					</xsl:for-each>
					</TABLE>
					<BR/>
				</xsl:for-each>
			</BODY>
		</HTML>
	</xsl:template>
	
	<xsl:template name="status">
		<xsl:choose>
			<xsl:when test="@status='close'">
				<IMG src="images/E00E.gif"/><xsl:text></xsl:text>
			</xsl:when>
			<xsl:when test="@status='abort'">
				<IMG src="images/E107.gif"/><xsl:text>~</xsl:text>
			</xsl:when>
			<xsl:when test="@status='sleep'">
				<xsl:text>x~</xsl:text>
			</xsl:when>
			<xsl:when test="@status='well'">
				<IMG src="images/E107.gif"/><xsl:text></xsl:text>
			</xsl:when>
			<xsl:when test="@status='help'">
				<IMG src="images/E413.gif"/><FONT color="red">ĉ</FONT>
			</xsl:when>
			<xsl:when test="@status='bad'">
				<IMG src="images/E411.gif"/><FONT color="red">肠</FONT>
			</xsl:when>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="type">
		<xsl:choose>
			<xsl:when test="not(@type) or @type='memo'">
				<IMG src="images/E301.gif"/><!--xsl:text>	̑</xsl:text-->
			</xsl:when>
			<xsl:when test="@type='email'">
				<IMG src="images/E103.gif"/><!--xsl:text>[Ή</xsl:text-->
			</xsl:when>
			<xsl:when test="@type='fax'">
				<IMG src="images/E00B.gif"/><!--xsl:text>t@bNXΉ</xsl:text-->
			</xsl:when>
			<xsl:when test="@type='telephone'">
				<IMG src="images/E009.gif"/><!--xsl:text>dbΉ</xsl:text-->
			</xsl:when>
			<xsl:otherwise>&#x3000;</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="class">
		<xsl:choose>
			<xsl:when test="@class='plan'">
				<xsl:text>ۑ</xsl:text>
			</xsl:when>
			<xsl:when test="@class='do'">
				<xsl:text></xsl:text>
			</xsl:when>
			<xsl:when test="@class='check'">
				<xsl:text>]</xsl:text>
			</xsl:when>
			<xsl:when test="@class='action'">
				<xsl:text>w</xsl:text>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="user">
		<xsl:variable name="userid" select="@userid"/>
		<xsl:variable name="userinfo" select="$userlist/USERINFO[@id=$userid]"/>
		<xsl:choose>
			<xsl:when test="not($userinfo)">
				<xsl:text></xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$userinfo/NAME"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="customer">
		<xsl:variable name="customerid" select="@customer"/>
		<xsl:variable name="customer" select="$customerlist/CUSTOMER[@id=$customerid]"/>
		<xsl:choose>
			<xsl:when test="not($customer)">
				<xsl:text></xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$customer/NAME"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>